<?
/*
* phorSale - An eCommerce application for PHP and mySQL.
* Copyright (C) 2001 Michael Kmiec <mike@shifter.org>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

    session_start();

    require ("common/config.inc.php");
    include("common/shopper.functions.inc.php");
?>


<? $title = "Privacy Policy"; ?>
<? require 'common/header.inc.php'; ?>	
	
<font face="<?echo $fontTag;?>" SIZE="+2" COLOR="#000000">Privacy Policy</font><hr size="1">

<table border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td align="left">
        <blockquote>
        <font face="<?echo $fontTag;?>" size="-1">
            eCommerce Company's online policy is to respect and protect the privacy of our users. eCommerce Company will never 
            willfully disclose individually identifiable information about its customers to any third party without first receiving 
            that customer's permission. This policy statement tells you how we collect information from you and how we use it. 
            As a strict policy, eCommerce Company does not sell, trade, rent, or otherwise share your e-mail address or any other 
            personal information with any other company or third party.   
            <p>
            In several areas of our site, we ask you to provide information by filling out and submitting an online form. 
            At the check-out and registration pages, we ask for name, address, e-mail, credit card, and other information needed to 
            complete your order. Once you've registered, you may click on "My Account" to edit your personal information. Credit card
            information is not stored on the server.
            <p>
            The information that we collect is used to improve our web site, to notify consumers about updates to our web site, 
            and for special offers and promotions.  Also, eCommerce Company may provide aggregate statistics about our online sales, 
            traffic patterns, and related site information to reputable third-party vendors, but these general statistics will 
            include no personally identifying information.
            <p>
            <b>Cookies</b>
            <br>
            Cookies are alphanumeric identifiers that we transfer to your computer's hard drive through your web browser to enable 
            our systems to recognize your browser and to provide you with special features of our web site.  
            The "help" portion of the toolbar on most browsers will tell you how to prevent your browser from accepting new cookies, 
            how to have the browser notify you when you receive a new cookie, or how to disable cookies altogether. However, cookies 
            allow you to take full advantage of some of eCommerce Company's coolest features, and we recommend that you leave them 
            turned on.
            <p>
            eCommerce Company policy does not extend to anything inherent in the operation of the Internet, and therefore beyond 
            eCommerce Company's control, and it is not to be applied in any manner contrary to applicable law or governmental regulation.
        </font>
        <blockquote>
    </td>
  </tr>
</table>

<? require 'common/footer.inc.php'; ?>