<? 
/*
* phorSale - An eCommerce application for PHP and mySQL.
* Copyright (C) 2001 Michael Kmiec <mike@shifter.org>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*****
*
*   Display the order receipt for the user. 
*
*****/

// since the user would not be at this point if the order had not been placed,
// clear out the order object that is in the session.
if ( isSet( $OID ) )
{
    session_start();
    session_unregister( "order" );
}

// standard include files
require ("common/config.inc.php");
include("common/order.functions.inc.php");
include("common/shopper.functions.inc.php");

// definitions
$sID = session_id();

if ( isSet( $OID ) )
{
    // get the order from the database
    if ( ( $dbh =  mysql_connect( $dbServer, $dbUser, $dbPassword )) > 0 )
    {
        $sql_query = "SELECT order_id, shopper_id, placed, order_info FROM $orderTable WHERE order_id = '$OID' AND shopper_id = '$shopperID'";

        $res = mysql_db_query($dbDatabase, $sql_query, $dbh);
        $err = mysql_error();
    }

    // get what we need from the database
    $fromDB = mysql_fetch_array( $res );
    $order = unserialize( $fromDB["order_info"] );
    $orderID = $fromDB["order_id"];

    $dbh = mysql_close();    
}
?>

<? $title = "Order Receipt"; ?>
<? require 'common/header.inc.php'; ?>

<font face="<?echo $fontTag;?>" SIZE="+2" COLOR="#000000">Order Receipt</font><hr size="1">

<!-- constraining table -->
<table border="0" cellpadding="3" cellspacing="0" align="center" width="600">
    <tr>
        <td>
            <table border="0" cellpadding="3" cellspacing="0" align="center" width="600">
            <?
                if ( strlen( $errMsg ) ) 
                {
            ?>
                <tr>
                    <td colspan="2" align="left">
                        <font face="<?echo $fontTag; ?>" size="2" color="#CC0000"><b>
                            There appears to be a problem...
                        <ul><?echo $errMsg;?></ul>
                        </b></font><p>
                    </td>
                </tr>
            <?
                }
            ?>
                <tr>
                    <td colspan="5" align="left"><font face="<?echo $fontTag;?>" SIZE="-1">
                        Thank you for your order. Please print out this page as your receipt. You will also 
                        recieve an eMail confirmation of your order. If you need to contact us about your order, 
                        please refer to Order Number <b><? echo $orderID; ?></b>.
                        <p>
                    </font></td>
                </tr>            
                <tr bgcolor="#E7E7E9">
                    <td align="center" colspan="5"><font face="<?echo $fontTag;?>" ><b>Order Number <? echo $orderID; ?></b></font></td>
                </tr>
                <tr bgcolor="#E7E7E9">
                    <td><font face="<?echo $fontTag;?>" SIZE="1"><b>Shipping To:</b></font></td>
                    <td><font face="<?echo $fontTag;?>" SIZE="1"><b>Billing To:</b></font></td>
                    <td colspan="3">&nbsp;</td>
                </tr>
                <tr>
                    <td align="left">
                        <font face="<?echo $fontTag;?>" SIZE="-1">
                        <? 
                            // shipping address, from the order
                            echo $order["ship_name"] . "<br>";
                    
                            if ( strlen( $order["ship_company"] ) ) 
                                echo $order["ship_company"] . "<br>";

                            echo $order["ship_addr_1"] . "<br>";

                            if ( strlen( $order["ship_addr_2"] ) )
                                echo $order["ship_addr_2"] . "<br>";

                            echo $order["ship_city"] . ", " . $order["ship_state"] . " " . $order["ship_postal_code"] . "<br>";

                            if ( strlen( $order["ship_country"] ) ) 
                                echo "Country: " . $order["ship_country"] . "<br>";

                            echo "Telephone: " . $order["ship_phone"] . "<br>";

                            if ( strlen( $order["ship_fax"] ) ) 
                                echo "Fax: " . $order["ship_fax"] . "<br>";

                            echo "eMail: " . $order["ship_email"] . "<br>";
                        ?>
                    </td>            
                    <td align="left">
                        <font face="<?echo $fontTag;?>" SIZE="-1">
                        <?
                            // billing address, from the order
                            echo $order["bill_name"] . "<br>";
                    
                            if ( strlen( $order["bill_company"] ) ) 
                                echo $order["bill_company"] . "<br>";

                            echo $order["bill_addr_1"] . "<br>";

                            if ( strlen( $order["bill_addr_2"] ) )
                                echo $order["bill_addr_2"] . "<br>";

                            echo $order["bill_city"] . ", " . $order["bill_state"] . " " . $order["bill_postal_code"] . "<br>";

                            if ( strlen( $order["bill_country"] ) ) 
                                echo $order["bill_country"] . "<br>";

                            echo "Telephone: " . $order["bill_phone"] . "<br>";                    

                            if ( strlen( $order["bill_fax"] ) ) 
                                echo "Fax: " . $order["bill_fax"] . "<br>";

                            echo "eMail: " . $order["bill_email"] . "<br>";
                        ?>
                    </td>
                    <td colspan="3">&nbsp;</td>
                </tr>
            </table>
        </td>
    <tr>
    <tr>
        <td>
            <table border="0" cellpadding="3" cellspacing="0" align="center" width="600">
            <? 
                if ( count( $order["items"] ) > 0) 
                { 
            ?>
                <!-- product information -->
                <tr bgcolor="#E7E7E9">
                    <td><font face="<?echo $fontTag;?>" size="1"><b>Product ID</b></font></td>
                    <td><font face="<?echo $fontTag;?>" size="1"><b>Product Name</b></font></td>
                    <td><font face="<?echo $fontTag;?>" size="1"><b>Unit Price</b></font></td>
                    <td><font face="<?echo $fontTag;?>" size="1"><b>Quantity</b></font></td>            
                    <td align="right"><font face="<?echo $fontTag;?>" size="1"><b>Subtotal</b></font></td>
                </tr>
                <?
                    for ( $ctr = 0; $ctr < count( $order["items"] ); $ctr++ )
                    {
                        $item = $order["items"][$ctr];

                        $itemPrice = 0.00;
                        if ( $item[specialPrice] > 0 )
                            $itemPrice = $item[specialPrice];
                        else
                            $itemPrice = $item[price];

                        $subtotal = ( $item[ "quantity" ] * $itemPrice );
                        $runningSub += $subtotal;
                ?>
                <tr>
                    <td><font face="<?echo $fontTag;?>" size="-1"><? echo $item[ "id" ]; ?></font></td>
                    <td><font face="<?echo $fontTag;?>" size="-1"><? echo $item[ "name" ]; ?></font></td>
                    <td><font face="<?echo $fontTag;?>" size="-1">$<? echo $itemPrice; ?></td>
                    <td><font face="<?echo $fontTag;?>" size="-1"><? echo $item[ "quantity" ]; ?></font></td>
                    <td align="right"><font face="<?echo $fontTag;?>" size="-1">$<? echo sprintf("%01.2f", $subtotal ); ?></font></td>
                </tr>

                <tr>
                    <td colspan="5" bgcolor="#E7E7E9">
                        <font face="<?echo $fontTag;?>" SIZE="1">
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>Product Options:</b>
                        <?                    
                        // what color the item is
                        if ( strlen( $item[color] ) )
                            echo "Product Color: " . $item[color];

                        // any other chosen option
                        if ( strlen( $item[option_one] ) )
                            echo "; " . $item[option_one_name] . ": " . $item[option_one];
                        if ( strlen( $item[option_two] ) )
                            echo "; " . $item[option_two_name] . ": " . $item[option_two];
                        if ( strlen( $item[option_three] ) )
                            echo "; " . $item[option_three_name] . ": " . $item[option_three];
                        if ( strlen( $item[option_four] ) )
                            echo "; " . $item[option_four_name] . ": " . $item[option_four];                
                        ?>                            
                        </font>
                    </td>
                    <td>&nbsp;</td>
                </tr>
                <?
                } // end "for" loop                    
                ?>
                <tr>
                    <td colspan="5">&nbsp;</td>                    
                </tr>
                <!-- shipping information -->
                <tr bgcolor="#E7E7E9">
                    <td colspan="5"><font face="<?echo $fontTag;?>" size="1"><b>Shipping</b></font></td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                    <?
                        if ( strlen( $order["ship_num_type"] ) && strlen( $order["shipping_number"] ) )
                        {
                    ?>
                    <td colspan="3"><font face="<?echo $fontTag;?>" size="-1">Shipping with <? echo $order[ "ship_method" ]; ?> <b><? echo $order[ "shipping_number" ]; ?><b></font></td>
                    <td align="right"><font face="<?echo $fontTag;?>" size="-1">n/c</font></td>
                    <?  
                        }
                        else
                        {
                    ?>
                    <td colspan="3"><font face="<?echo $fontTag;?>" size="-1">Shipping via <? echo $order[ "ship_method" ]; ?></font></td>
                    <td align="right"><font face="<?echo $fontTag;?>" size="-1">$<? echo sprintf("%01.2f", $order[ "ship_price" ] ); ?></font></td>
                    <?
                        }
                    ?>
                </tr>

                <?  if ( strlen( $order[ "additional_cost" ] ) )
                    {
                ?>
                <!-- additional charges -->
                <tr bgcolor="#E7E7E9">
                    <td colspan="5"><font face="<?echo $fontTag;?>" size="1"><b>Additional Charges</b></font></td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                    <td colspan="3"><font face="<?echo $fontTag;?>" size="-1"><? echo $order[ "additional_charges" ]; ?></font></td>
                    <td align="right"><font face="<?echo $fontTag;?>" size="-1">$<? echo sprintf("%01.2f", $order[ "additional_cost" ] ); ?></font></td>
                </tr>
                <?  } ?>
        
                <tr bgcolor="#E7E7E9">
                    <td colspan="5">&nbsp;</td>
                </tr>
                <?
                    $finalCost = ( $runningSub + $order[ "ship_price" ] + $order[ "additional_cost" ] );
                    $order[ "final_cost" ] = $finalCost;
                ?>
                <!-- final cost -->
                <tr>
                    <td>&nbsp;</td>
                    <td colspan="3" align="right"><font face="<?echo $fontTag;?>"><b>Final Cost:</b></font></td>
                    <td align="right"><font face="<?echo $fontTag;?>">$<? echo sprintf("%01.2f", $finalCost ); ?></font></td>
                </tr>
                <tr>
                    <td colspan="5">&nbsp;</td>
                </tr>
            <?
            }
            ?>
            </table>
        </td>
    </tr>
</table>
<?
  if ( count( $order["items"] ) < 1 )
    echo "<p>Your order is empty</p>";
?>

<? require 'common/footer.inc.php'; ?>
