<?
/*
* phorSale - An eCommerce application for PHP and mySQL.
* Copyright (C) 2001 Michael Kmiec <mike@shifter.org>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

// *****
function getProduct( $productID, $colorVal = "", $options = array() ) 
{
    global $dbServer, $dbUser, $dbPassword, $dbDatabase;
    global $productTable, $colorTable;

    // get the product from the database
    if ( ( $dbh =  mysql_connect( $dbServer, $dbUser, $dbPassword )) > 0 )
    {
        // need translate "priceVal" (which will look like "4_qty_25_49") into some usable values.
        $pieces = explode( "_", $priceVal );

        // flags
        $gotColor = false;
        $gotInitQty = false;
        
        // number of possible imprint colors
        $colorStr = "";       

        $sql_query = "SELECT 
                        pro.product_id AS id, 
                        pro.product_name AS name,
                        pro.product_weight AS weight, 
                        pro.product_weight_count AS units,
                        pro.product_price AS price,
                        pro.product_special_price AS specialPrice,                        
                        pro.product_shipping_from AS shippingFrom";

        if ( strlen( $colorVal ) )
            $sql_query .= ", col.color_name AS color";

        $sql_query .= " FROM $productTable pro ";
        
        if ( strlen( $colorVal ) )
            $sql_query .= ", $colorTable col";

        $sql_query .= " WHERE ( 
                            pro.product_id = '$productID' AND 
                            pro.product_active = 'true'";
                    
        if ( strlen( $colorVal ) )
            $sql_query .= " AND col.color_id = '$colorVal'";

        $sql_query .= ")";
        
        $res = mysql_db_query( $dbDatabase, $sql_query, $dbh );
        
        $dbh = mysql_close();
    }

    if ( mysql_num_rows( $res ) == 0 )
        return array();
    else
    {
        // return the information from the database, and add some other info about the product
        // -----> NOTE: The following will not work if the version of PHP is less than 4.0.3. If this
        // -----> is the case, use mysql_fetch_array( $res ) instead.
        $product = mysql_fetch_assoc( $res );

        $product[ "quantity" ] = 1;

        if( count( $options ) )
        {
            $product[ "option_one_name" ] = $options[ "option_one_name" ];
            $product[ "option_one" ] = $options[ "option_one" ];            

            $product[ "option_two_name" ] = $options[ "option_two_name" ];
            $product[ "option_two" ] = $options[ "option_two" ];            

            $product[ "option_three_name" ] = $options[ "option_three_name" ];
            $product[ "option_three" ] = $options[ "option_three" ];            

            $product[ "option_four_name" ] = $options[ "option_four_name" ];
            $product[ "option_four" ] = $options[ "option_four" ];            
        }

        return $product;
    }
}

// *****
// Pretty self-explanatory.
function removeProduct( $index )
{
    global $order;   

    for ( $i = $index; $i < ( count( $order["items"] ) - 1);$i++ ) 
        $order["items"][$i] = $order["items"][$i+1];

    unset( $order["items"][$i] );
}

//*****
// For adding additional charges; handling charges for different product quantities, for example
function determineExtraCharges( $ord, $prod )
{
    $ord[ "additional_charges" ] = "";
    $ord[ "additional_cost" ] = "";

    /*
    Example:
    --------------------------------------------------
    $ord[ "additional_charges" ] = "Handling Charges";
    switch ( $prod[ "quantity" ] )
    {
        case "4":
            $ord[ "additional_cost" ] = "50";
            break;
        case "3":            
            $ord[ "additional_cost" ] = "35";
            break;
        case "2":
            $ord[ "additional_cost" ] = "30";
            break;
        case "1":
            $ord[ "additional_cost" ] = "0";
            break;
        default:
            break;           
    }
    */

    return true;
}
?>
